curl --request GET \
--url https://api.snappy.com/public-api/v2/accounts \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "a12bcd34",
"name": "Snappy",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"companyId": "A1b2C3d4"
}
],
"skip": 0,
"limit": 100
}Use this API to search for and retrieve a list of accounts based on your specified criteria.
accounts:readcurl --request GET \
--url https://api.snappy.com/public-api/v2/accounts \
--header 'X-Api-Key: <api-key>'{
"results": [
{
"id": "a12bcd34",
"name": "Snappy",
"createdAt": "2022-12-06T09:50:38.536Z",
"updatedAt": "2022-12-06T09:50:38.536Z",
"companyId": "A1b2C3d4"
}
],
"skip": 0,
"limit": 100
}Documentation Index
Fetch the complete documentation index at: https://docs.snappy.com/llms.txt
Use this file to discover all available pages before exploring further.
Company level authentication provides access to all resources under your company, including accounts, campaigns, gifts, and recipients.
POST /v2/authentication/apiKeys endpoint to generate a new API keyInclude your API key in the X-Api-Key header for every request:
X-Api-Key: YOUR_24_CHARACTER_API_KEYFor production environments, enable mutual TLS authentication:
enforceMtls: true when creating the API keyhttps://mtls-api.snappy.com/public-apiSource of the request
api_native, api_zapier, api_salesforce, api_ftp, api_make "api_native"
Company ID
^[A-Za-z0-9]{8,}$"12345678"
The name of the account
"Snappy"
The fields that can be returned for the account. comma-separated format without whitespace in between. valid values are: id, name, createdAt, updatedAt, companyId, full.
1The fields that can be returned for the account. Valid values are: id, name, createdAt, updatedAt, companyId, full.
id, name, createdAt, updatedAt, companyId, full ["full"]Number of records to skip for pagination (use with limit for paging through results)
x >= 00
Maximum number of records to return per page
1 <= x <= 1000100
Was this page helpful?